Subject: bug#10053: Wrong use of minibuffer-completion-table in tmm-add-prompt

From: Stefan Monnier <[email-masked]>
Date: Tue, 15 Nov 2011 15:27:30 -0500

> --8<---------------cut here---------------start------------->8---
> Debugger entered--Lisp error: (wrong-type-argument listp closure)
>   car(closure)
>   mapcar(car (closure (t) (&rest args) (apply (quote
> completion-table-with-predicate) (quote internal-complete-buffer) 
> [...]

>   tmm-add-prompt()
>   read-string("Menu bar (up/down to change, PgUp to menu): " nil nil "")
> --8<---------------cut here---------------end--------------->8---

> When `minibuffer-completion-table' is set.
> While it is nil, it works of course.

Normally, minibuffer-completion-table should be an association list
because it's set to tmm-km-list when tmm-prompt calls completing-read.
Do you have a recipe to reproduce the above backtrace?

        Stefan